<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    <script>
    // tương quan giữa bind, call, apply trong ES6
    var rabbit = {};
    function speak(line){
        document.write("the " + this.type + " rabbit says  " + line +'<br>');
    }
    var whiteRabbit = {type:'white', speak:speak}
    var fatRabbit = {type:'fat', speak:speak}
    var sexyRabbit = {type:'sexy', speak:speak}

    speak.apply(whiteRabbit, ["i'm alive"])
    speak.call(fatRabbit, "i'm alive")

    var sexyRabbitspeak = speak.bind(sexyRabbit,"I'm alive");
    sexyRabbitspeak()
    </script>
</body>
</html>